Package com.databend.jdbc.util

# Class URLUtils

java.lang.Object
com.databend.jdbc.util.URLUtils

public class URLUtils extends Object
URL utility class providing URL encoding functionality.

## Constructor Summary

Constructors
Constructor
Description
`URLUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`urlEncode(String target)`
Encodes a string using URL encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLUtils

public URLUtils()

## Method Details

### urlEncode

@Nullable public static String urlEncode(String target)
Encodes a string using URL encoding.

Parameters:
  `target` - The string to be encoded.
Returns:
  The encoded string, or null if encoding fails.